[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
02/04: tests: Skip 'tests/guix-pack.sh' when networking is missing.
From: |
Ludovic Courtès |
Subject: |
02/04: tests: Skip 'tests/guix-pack.sh' when networking is missing. |
Date: |
Fri, 18 May 2018 18:39:34 -0400 (EDT) |
civodul pushed a commit to branch master
in repository guix.
commit ce9e684b8395fdd0c8217a2e4a1d2776f8ff5ea4
Author: Ludovic Courtès <address@hidden>
Date: Fri May 18 17:18:33 2018 +0200
tests: Skip 'tests/guix-pack.sh' when networking is missing.
The test could fail because "static-binaries.tar.xz" is missing, for
instance.
* tests/guix-pack.sh: Require a network connection to be on the safe
side. This reverts part of 47a60325ca650e8fc1a291c8655b4297f4de8deb.
---
tests/guix-pack.sh | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/tests/guix-pack.sh b/tests/guix-pack.sh
index 130389a..917d524 100644
--- a/tests/guix-pack.sh
+++ b/tests/guix-pack.sh
@@ -20,9 +20,9 @@
# Test the `guix pack' command-line utility.
#
-# The bootstrap binaries are needed to run these tests, which usually requires
-# a network connection.
-if ! guix build -q guile-bootstrap; then
+# A network connection is required to build %bootstrap-coreutils&co,
+# which is required to run these tests with the --bootstrap option.
+if ! guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null;
then
exit 77
fi